function validate() {
    var email = document.getElementById("email").value;
    var password = document.getElementById("password").value;
    var repeatPassword = document.getElementById("repeatPassword").value;

    var name = document.getElementById("firstName").value + " " + document.getElementById("lastName").value;
    var select = document.getElementById("select").value;

    var impressions = document.getElementById("impressions").value;

    errors = "";
    errors += validatePassword(password, repeatPassword);

    if (errors.length != 0) errors += '\n';
    errors += validateEmail(email);

    if (errors.length == 0) {
        alert(
            "Ime: " + name + '\n' +
            "Odabrana opcija: " + select // dalje dodajte sami :)
        );
    }
    else {
        console.log(errors);
    }

}

function validatePassword(password, customPassword) {
    if(password != customPassword)
        return "Sifre se ne poklapaju";
    if (password.length < 16)
        return "Sifra mora imati najmanje 16 karaktera";
    if(!isASCII(password))
        return "Sifra moze sadrzati samo ASCII karaktere!";

    var upperNum=0;
    var lowerNum=0;
    var digitNum=0;
    for(var i=0; i<password.length; i++) {
        if(password[i] >= 'A' && password[i] <= 'Z') upperNum++;
        if(password[i] >= 'a' && password[i] <= 'z') lowerNum++;
        if(password[i] >= '0' && password[i] <= '9') digitNum++;
    }
    if(!(upperNum==lowerNum && upperNum>0))
        return "Sifra mora sadrzati jednak broj malih i velikih slova i makar po jedno malo i veliko slovo!";
    if(digitNum==0)
        return "Sifra mora sadrzati makar jednu cifru";
    return "";
}

function validateEmail(email) {
    /*
    Ova funkcija ne odgovara roku, tu je kako bismo pokazali kako se mejl adresa validira pomoću regularnog izraza.
    Uzeti da je e-mail adresa oblika "aaa@aaa.cc". Sa "aaa" je označen niz karaktera koji se sastoji od slova, brojeva, tačaka i 
    znakova '–' i '_'. Voditi računa da dvije tačke ("..") ne mogu biti jedna do druge. Sa "cc" je označen string koji
    se sastoji isključivo od dva ili tri slova. Smatrati da će uneseni string imati samo mala slova jer e-mail adrese 
    nisu case-sensitive. Uz znak '@' se ne može nalaziti tačka (npr. "aaa.@aaa" ili "aaa@.aaa").
    */
    var valid = /^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[_a-z0-9-]+(\.[_a-z0-9-]+)*(\.[a-z]{2,3})$/.test(email);
    if(!valid)
        return "Neispravna email adresa!";
    return "";
}

function isASCII(str) {
    return /^[\x00-\x7F]*$/.test(str);
}